Bug 1249198 - pavucontrol requires gnome-icon-theme-legacy [NEEDINFO]
pavucontrol requires gnome-icon-theme-legacy
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: pavucontrol (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-31 15:14 EDT by Paul W. Frields
Modified: 2015-09-03 14:50 EDT (History)
3 users (show)

See Also:
Fixed In Version: 3.0-3.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-25 12:06:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pfrields: needinfo? (lpoetter)


Attachments (Terms of Use)

  None (edit)
Description Paul W. Frields 2015-07-31 15:14:36 EDT
Currently, and for several releases, pavucontrol has shown a missing icon placeholder for the "Lock channels" tool.  The legacy "stock_lock" icon in GNOME is contained in gnome-icon-theme-legacy.  So pavucontrol should add to its spec:

Requires:  gnome-icon-theme-legacy

This applies to all current releases including Rawhide.
Comment 1 Fedora Update System 2015-08-01 05:34:19 EDT
pavucontrol-3.0-4.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/pavucontrol-3.0-4.fc23
Comment 2 Fedora Update System 2015-08-01 05:35:57 EDT
pavucontrol-2.0-9.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/pavucontrol-2.0-9.fc21
Comment 3 Fedora Update System 2015-08-01 05:36:17 EDT
pavucontrol-3.0-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/pavucontrol-3.0-2.fc22
Comment 4 Kalev Lember 2015-08-01 07:00:14 EDT
Instead of adding a dep on the legacy package, a better fix would be to fix the name of the icon so that it works with the default theme (adwaita-icon-theme).

Untested, but might work:

sed -i -e 's/stock_lock/security-medium/' src/pavucontrol.glade

Would also be great if someone could report it upstream as well.
Comment 5 Fedora Update System 2015-08-03 00:29:51 EDT
Package pavucontrol-2.0-9.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pavucontrol-2.0-9.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-12643/pavucontrol-2.0-9.fc21
then log in and leave karma (feedback).
Comment 6 Paul W. Frields 2015-08-03 10:41:49 EDT
(In reply to Kalev Lember from comment #4)
> Instead of adding a dep on the legacy package, a better fix would be to fix
> the name of the icon so that it works with the default theme
> (adwaita-icon-theme).
> 
> Untested, but might work:
> 
> sed -i -e 's/stock_lock/security-medium/' src/pavucontrol.glade
> 
> Would also be great if someone could report it upstream as well.

Agreed -- I actually sent that exact patch upstream at the same time as filing this bug. But I think it's sitting in the moderation queue on the pulseaudio-discuss list. Maybe Lennart could allow it through so the patch could be considered?
Comment 7 Fedora Update System 2015-08-10 05:57:56 EDT
pavucontrol-3.0-4.fc23 has been pushed to the Fedora 23 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2015-08-10 22:12:03 EDT
pavucontrol-2.0-9.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2015-08-10 22:13:12 EDT
pavucontrol-3.0-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2015-08-19 04:59:54 EDT
pavucontrol-3.0-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/pavucontrol-3.0-3.fc22
Comment 11 Fedora Update System 2015-08-19 05:00:03 EDT
pavucontrol-3.0-5.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/pavucontrol-3.0-5.fc23
Comment 12 Fedora Update System 2015-08-21 22:51:56 EDT
pavucontrol-3.0-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update pavucontrol'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/pavucontrol-3.0-3.fc22
Comment 13 Fedora Update System 2015-08-22 12:26:15 EDT
pavucontrol-3.0-5.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update pavucontrol'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/pavucontrol-3.0-5.fc23
Comment 14 Fedora Update System 2015-08-25 12:06:15 EDT
pavucontrol-3.0-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2015-09-03 14:50:13 EDT
pavucontrol-3.0-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.